• Home
  • History
  • Annotate
  • Raw
  • Download
  • only in /asuswrt-rt-n18u-9.0.0.4.380.2695/release/src/router/others/

Lines Matching refs:pkg

160 	install <pkg>		Download and install <pkg> (and dependencies)
163 remove <pkg> Remove package <pkg>
167 files <pkg> List all files belonging to <pkg>
169 info [pkg [<field>]] Display all/some info fields for <pkg> or all
170 status [pkg [<field>]] Display all/some status fields for <pkg> or all
171 depends <pkg> Print uninstalled package dependencies for <pkg>
302 local pkg="$1"
303 sed -ne "/Package:[[:space:]]*$pkg[[:space:]]*\$/,/^\$/p"
435 local pkg="$2"
436 ipkg_status_sd $sd $pkg Status | grep -q "Status: install ok installed"
451 local pkg="$2"
452 [ -n "`ipkg_status_sd $sd $pkg Status`" ]
456 local pkg="$1"
463 if [ -f $dest/$IPKG_DIR_PREFIX/info/$pkg.list ]; then
465 sed -e "s/^/$dest_sed/" < $dest/$IPKG_DIR_PREFIX/info/$pkg.list
482 local pkg="`echo $file | sed "s/^.*\/\(.*\)\.list/\1/"`"
483 [ "$dest_name" != `ipkg_dest_default_name` ] && pkg="$pkg ($dest_name)"
484 sed "s/^/$dest_sed/" $file | grep $pattern | sed "s/^/$pkg: /"
492 local pkg="$2"
498 sed -ne "/Package:[[:space:]]*$pkg[[:space:]]*\$/,/^\$/!p" < $sd/status > $sd/status.new
518 local pkg="$2"
520 ipkg_status_remove_sd $sd $pkg
530 local pkg=$1
531 local deps="`ipkg_get_depends $pkg`"
539 ## echo "ipkg_unsatisfied_dependences pkg=$pkg $remaining_deps" > /dev/console
544 local pkg=$1
545 local spkg="`echo pkg_$pkg | sed -e y/-+./___/`"
550 local pkg=$1; shift
552 pkg="`ipkg_safe_pkg_name $pkg`"
553 ## setvar ${pkg}_depends "$new_deps"
554 echo $new_deps > $IPKG_TMP/${pkg}.depends
558 local pkg=$1
559 pkg="`ipkg_safe_pkg_name $pkg`"
560 cat $IPKG_TMP/${pkg}.depends
561 ## eval "echo \$${pkg}_depends"
565 local pkg=$1
566 pkg="`ipkg_safe_pkg_name $pkg`"
567 echo installed > $IPKG_TMP/${pkg}.installed
568 ## setvar ${pkg}_installed "installed"
572 local pkg=$1
573 pkg="`ipkg_safe_pkg_name $pkg`"
574 ### echo ipkg_set_uninstalled $pkg > /dev/console
575 echo uninstalled > $IPKG_TMP/${pkg}.installed
576 ## setvar ${pkg}_installed "uninstalled"
580 local pkg=$1
581 pkg="`ipkg_safe_pkg_name $pkg`"
582 if [ -f $IPKG_TMP/${pkg}.installed ]; then
583 cat $IPKG_TMP/${pkg}.installed
585 ## eval "echo \$${pkg}_installed"
592 for pkg in $installed_pkgs; do
593 ipkg_set_installed $pkg
598 for pkg in $new_pkgs; do
599 if echo $pkg | grep -q '[^a-z0-9.+-]'; then
600 echo "ipkg_depends: ERROR: Package name $pkg contains illegal characters (should be [a-z0-9.+-])" >&2
604 new_deps="$new_deps "`ipkg_info $pkg '\(Pre-\)\?Depends' | ipkg_extract_value | sed -e 's/([^)]*)//g
608 ipkg_set_depends $pkg $new_deps
614 for pkg in $new_deps; do
615 if ! echo $installed_pkgs | grep -q "\<$pkg\>"; then
616 maybe_new_pkgs="$maybe_new_pkgs $pkg"
621 for pkg in $maybe_new_pkgs; do
622 if ! echo $all_deps | grep -q "\<$pkg\>"; then
623 if [ -z "`ipkg_info $pkg`" ]; then
624 echo "ipkg_depends: Warning: $pkg mentioned in dependency but no package found in $IPKG_LISTS_DIR" >&2
625 ipkg_set_installed $pkg
627 new_pkgs="$new_pkgs $pkg"
628 ipkg_set_uninstalled $pkg
631 ipkg_set_uninstalled $pkg
649 for pkg in $pkgs; do
650 if ! ipkg_status_mentioned_sd $sd $pkg; then
651 echo "Package: $pkg
652 Status: install ok not-installed" | ipkg_status_update_sd $sd $pkg
656 for pkg in $requested_pkgs; do ipkg_set_uninstalled $pkg; done
663 for pkg in $pkgs; do
665 local is_installed="`ipkg_get_installed $pkg`"
667 echo "$pkg is installed" > /dev/console
671 local remaining_deps="`ipkg_unsatisfied_dependences $pkg`"
673 new_pkgs="$new_pkgs $pkg"
674 ### echo "Dependences not satisfied for $pkg: $remaining_deps"
683 filename="`ipkg_extract_paragraph $pkg < $IPKG_LISTS_DIR/$src | ipkg_extract_field Filename | ipkg_extract_value`"
689 echo "ipkg_get_install: ERROR: Cannot find package $pkg in $IPKG_LISTS_DIR"
691 ipkg_status_remove_sd $sd $pkg
708 ipkg_set_installed $pkg
740 local pkg="`ipkg_file_part $filename | sed 's/\([a-z0-9.+-]\+\)_.*/\1/'`"
753 local depends="`ipkg_depends $pkg | sed -e "s/\<$pkg\>//"`"
765 echo "ipkg_install_file: Warning: $pkg depends on the following uninstalled programs: $missing_deps"
767 echo "ipkg_install_file: ERROR: $pkg depends on the following uninstalled programs:
774 mkdir -p $IPKG_TMP/$pkg/control
775 mkdir -p $IPKG_TMP/$pkg/data
778 if ! $pkg_extract_stdout $filename ./control.tar.gz | (cd $IPKG_TMP/$pkg/control; tar -xzf - ) ; then
784 if grep -q '^InstallsOffline:[[:space:]]*no' $IPKG_TMP/$pkg/control/control; then
785 echo "*** Warning: Package $pkg may not be installed in offline mode"
787 echo "Package: $pkg
788 Status: install ok pending" | ipkg_status_update_sd $sd $pkg
791 rm -r $IPKG_TMP/$pkg/control
792 rm -r $IPKG_TMP/$pkg/data
793 rmdir $IPKG_TMP/$pkg
799 echo -n "Unpacking $pkg..."
801 for file in $IPKG_TMP/$pkg/control/*; do
803 mv $file $info_dir/$pkg.$base_file
806 rm -r $IPKG_TMP/$pkg/control
808 if ! $pkg_extract_stdout $filename ./data.tar.gz | (cd $IPKG_TMP/$pkg/data; tar -xzf - ) ; then
814 echo -n "Configuring $pkg..."
816 if [ -x "$info_dir/$pkg.preinst" ]; then
817 if ! $info_dir/$pkg.preinst install; then
818 echo "$info_dir/$pkg.preinst failed. Aborting installation of $pkg"
819 rm -rf $IPKG_TMP/$pkg/data
820 rmdir $IPKG_TMP/$pkg
825 local old_conffiles="`ipkg_status_sd $sd $pkg Conffiles | ipkg_extract_value`"
827 if [ -f "$info_dir/$pkg.conffiles" ]; then
828 for conffile in `cat $info_dir/$pkg.conffiles`; do
850 diff -u $dest/$conffile $IPKG_TMP/$pkg/data/$conffile"
851 diff -u $dest/$conffile $IPKG_TMP/$pkg/data/$conffile || true
862 local md5sum="`md5sum $IPKG_TMP/$pkg/data/$conffile | sed 's/ .*//'`"
866 rm $IPKG_TMP/$pkg/data/$conffile
869 md5sum="`md5sum $IPKG_TMP/$pkg/data/$conffile | sed 's/ .*//'`"
876 (cd $IPKG_TMP/$pkg/data/; tar cf - . | (cd $owd; cd $dest; tar xf -))
877 rm -rf $IPKG_TMP/$pkg/data
878 rmdir $IPKG_TMP/$pkg
879 rm -f $info_dir/$pkg.list
880 $pkg_extract_stdout $filename ./data.tar.gz | tar tzf - | sed -e 's/^\.//' > $info_dir/$pkg.list
882 if [ -x "$info_dir/$pkg.postinst" ]; then
883 $info_dir/$pkg.postinst configure
894 ${new_conffiles}/" $info_dir/$pkg.control | ipkg_status_update_sd $sd $pkg
896 rm -f $info_dir/$pkg.control
897 rm -f $info_dir/$pkg.conffiles
898 rm -f $info_dir/$pkg.preinst
899 rm -f $info_dir/$pkg.postinst
911 local pkg="$1"
914 case "$pkg" in
916 local tmp_pkg_file="$IPKG_TMP/"`ipkg_file_part $pkg`
917 if ipkg_download $pkg $tmp_pkg_file; then
923 local ipkg_filename="`echo $pkg|sed 's/^file://'`"
927 ipkg_install_file $pkg
930 ipkg_get_install $pkg || true
982 local pkg="$1"
983 local avail_ver="`ipkg_info $pkg Version | ipkg_extract_value | head -n 1`"
989 local inst_ver="`ipkg_status_sd $sd $pkg Version | ipkg_extract_value`"
994 echo "Assuming locally installed package $pkg ($inst_ver) is up to date"
999 echo "Package $pkg ($inst_ver) installed in $dest_name is up to date"
1001 echo "Upgrading $pkg ($dest_name) from $inst_ver to $avail_ver"
1002 ipkg_get_install_dest $dest $pkg
1004 echo "Not downgrading package $pkg from $inst_ver to $avail_ver"
1010 echo "Package $pkg does not appear to be installed"
1023 for pkg in $pkgs; do
1024 ipkg_upgrade_pkg $pkg
1030 local pkg="$2"
1034 if ! ipkg_status_installed_sd $sd $pkg; then
1035 echo "ipkg_remove: Package $pkg does not appear to be installed in $dest"
1036 if ipkg_status_mentioned_sd $sd $pkg; then
1037 echo "Purging mention of $pkg from the ipkg database"
1038 ipkg_status_remove_sd $sd $pkg
1043 echo "ipkg_remove: Removing $pkg... "
1045 local files="`cat $info_dir/$pkg.list`"
1048 if [ -x "$info_dir/$pkg.prerm" ]; then
1049 $info_dir/$pkg.prerm remove
1052 local conffiles="`ipkg_status_sd $sd $pkg Conffiles | ipkg_extract_value`"
1088 if [ -x "$info_dir/$pkg.postrm" ]; then
1089 $info_dir/$pkg.postrm remove
1092 ipkg_status_remove_sd $sd $pkg
1094 rm -f $info_dir/$pkg.*
1101 local pkg="$1"
1104 if ipkg_status_mentioned_sd $sd $pkg; then
1105 ipkg_remove_pkg_dest $dest $pkg
1112 local pkg="$1"
1115 ipkg_remove_pkg_dest $IPKG_ROOT $pkg
1117 ipkg_remove_pkg $pkg